Subject: Re: Problem mounting files - password incorrect

From: [email-masked]
Date: Sat, 31 Oct 92 14:58:01 -0500

> To: [email-masked] (John R. Cary)
> From:    [email-masked] (John R. Cary)
> I have installed netatalk on an RS6000 running AIX 3.1.x.  I am primarily
> interested in the file server.  My problem is that upon logging
> in through the chooser, I get told that my password is incorrect.
> If I log in as guest, everything works.  Is there some problem with
> passwords in netatalk and AIX?

There is another way netatalk could be failing to authenticate users.
Distribution netatalk only looks at the password field in /etc/passwd.
But the RS/6K also supports a shadow password file, in /etc/security/passwd.
If there is a '*' (or other non-decryptable string) in /etc/passwd,
there is no code in netatalk to look at /etc/security/passwd to fetch
the "real" password string, and hence there is no way netatalk could
possibily authenticate such users.  There is another routine, getuserpw, that
should be used to fetch the real password - use "info" to find out
about it.

Welcome to the confusing world of AIX.  It tries so hard to be
all things to all people.

					-Marcus Watts
					UM ITD RS Umich Systems Group